/** @format */
/*
--- Завдання 7
- Умова:
Напишіть програму для перетворення тексту у форматі CamelCase на формат snake_case. 
Користувач має ввести текст у форматі CamelCase, 
а програма повинна перетворити його на формат snake_case, 
де кожне слово відокремлено символом підкреслення "_".

Для перетворення тексту можна використати цикл for або методи рядків split() та join(). 
Щоб розділити слова, можна використати регулярний вираз, який буде відокремлювати слова, 
що починаються з великої літери. Після цього, можна об'єднати слова символом підкреслення "_".

Після перетворення тексту, програма повинна вивести його на екран. 

- Приклад:
Введіть текст у форматі CamelCase: "HelloWorldThisIsCamelCase". 
Результат: "hello_world_this_is_camel_case". 
*/

const text = prompt("Введіть текст у форматі CamelCase:");
const words = text.split(/(?=[A-Z])/);

const res = words.join("_").toLowerCase();

console.log(res);
